﻿-- $Id: Localization.lua 13 2009-09-01 16:57:45Z LaoTseu $

-- Code borrowed from Tekkub

ShuckIt = ShuckIt or {}
ShuckIt.revision = ShuckIt.revision or {} 
ShuckIt.revision.loc	= ("$Revision: 13 $"):match("(%d+)")

local localized
local loc = GetLocale()

-----------------------
--      English      --
-----------------------

local english = {}

----------------------
--      French      --
----------------------

if loc == "frFR" then localized = {
	["Use: Open the clam!"]			= 'Utiliser: Ouvrez la palourde!'
} end

----------------------
--      German      --
----------------------

if loc == "deDE" then localized = {
	["Use: Open the clam!"]			= 'Benutzen: \195\150ffnet die Muschel!'
} end

----------------------
--      Rusian      --
----------------------

-- Really not sure about this one. Somebody should give me a version with \ddd characters
if loc == "ruRU" then localized = {
	["Use: Open the clam!"]			= 'Ð˜ÑÐ¿Ð¾Ð»ÑŒÐ·Ð¾Ð²Ð°Ð½Ð¸Ðµ: ÐžÑ‚ÐºÑ€Ð¾Ð¹ Ñ€Ð°ÐºÐ¾Ð²Ð¸Ð½Ñƒ!'
} end

----------------------
--      Spanish     --
----------------------

if loc == "esES" then localized = {
	["Use: Open the clam!"]			= 'Uso: Â¡Abre la almeja!'
} end



-- Metatable majicks... makes localized table fallback to english, or fallback to the index requested.
-- This ensures we ALWAYS get a value back, even if it's the index we requested originally
ShuckIt.localized = localized and setmetatable(localized, {__index = function(t,i) return english[i] or i end})
	or setmetatable(english, {__index = function(t,i) return i end})


